Mail archive
alpine-aports

[alpine-aports] [PATCH] main/iproute2: upgrade to 4.2.0

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sat, 3 Oct 2015 03:04:29 +0200

---
 main/iproute2/APKBUILD         | 26 ++++++++++++----------
 main/iproute2/musl-fixes.patch | 50 ++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 63 insertions(+), 13 deletions(-)
diff --git a/main/iproute2/APKBUILD b/main/iproute2/APKBUILD
index 5a484f7..c8758de 100644
--- a/main/iproute2/APKBUILD
+++ b/main/iproute2/APKBUILD
_at_@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=iproute2
-pkgver=3.18.0
+pkgver=4.2.0
 _realver=$pkgver
 pkgrel=0
 pkgdesc="IP Routing Utilities"
_at_@ -12,15 +12,14 @@ install="$pkgname.post-install"
 makedepends="bison flex bash iptables-dev"
 subpackages="$pkgname-doc"
 source="http://kernel.org/pub/linux/utils/net/iproute2/iproute2-$pkgver.tar.xz
-	musl-fixes.patch
-	"
+	musl-fixes.patch"
 
 prepare() {
 	cd "$srcdir"/$pkgname-$_realver
-
+	local i
 	for i in $source; do
 		case $i in
-		*.patch) msg "$i";  patch -p1 -i "$srcdir"/$i || return 1;;
+		*.patch) msg "$i";  patch -p0 -i "$srcdir"/$i || return 1;;
 		esac
 	done
 
_at_@ -35,6 +34,11 @@ build() {
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
 		|| return 1
 	make CCOPTS="-D_GNU_SOURCE $CFLAGS" LIBDIR=/lib || return 1
 }
_at_@ -44,9 +48,9 @@ package() {
 	make -j1 DESTDIR="$pkgdir" install
 }
 
-md5sums="6f6ad51a00007880460e103367b16057  iproute2-3.18.0.tar.xz
-70c83e0a355467d80e6c9ad080f0af75  musl-fixes.patch"
-sha256sums="d5a182154abd0749b1df7d1649115a32c65f559951477396203b1f514dbff1df  iproute2-3.18.0.tar.xz
-718845685aad2ff07f261b4039748a96d301c2f1b41676d606cb97bacf52b1f4  musl-fixes.patch"
-sha512sums="038df5a065c6b544ff84016fa9300abd99d41d086d0741e176799a564d1b6b317acf786732cc90e2cd2d4bc6acd0c8788ad2485d4e65c2caf1e5ba4cdbdbbf0a  iproute2-3.18.0.tar.xz
-f95a1b4c367e5bb30b473d027fee3a4087ba84f6e176b53a775faec23fe603a6d0bf16ff93e3b3f6a2764ce1066bae59105c05ebba44263a26589f45af687c27  musl-fixes.patch"
+md5sums="51c54cc3245eff451154938fbc0f64f5  iproute2-4.2.0.tar.xz
+4940583731a0e941b6c0b87ee119a420  musl-fixes.patch"
+sha256sums="a4101e743e0da36b55f63353ff489699ddcd634ceca854a9a272346588f30f30  iproute2-4.2.0.tar.xz
+ad4574e697bd2e61126172d19cc4561ab218a9c9bc8aa9cc16ce7e9ff77a9f73  musl-fixes.patch"
+sha512sums="a2580cab92ee4c3e78e52bd8b742e9a1f2097815022a392241136b5589dd1de2ff1def9f608e4b5464c57d8f3d50c4361897271db2058683dfdc6984172784c5  iproute2-4.2.0.tar.xz
+7373b0e53a10961e7d405081182db65fb51ea80226c2a5e0088dcd9e83105953ce412be8e4a73ca6ed819a3ffa15a6e258ff6a76e511a9d4434a579d2338efaf  musl-fixes.patch"
diff --git a/main/iproute2/musl-fixes.patch b/main/iproute2/musl-fixes.patch
index d9dd7d6..89c1f12 100644
--- a/main/iproute2/musl-fixes.patch
+++ b/main/iproute2/musl-fixes.patch
_at_@ -1,7 +1,22 @@
 Don't redefine in6_addr due to including linux/in6.h; use netinet/in.h instead.
 
---- a/include/linux/if_bridge.h.orig	2014-12-28 06:08:02.569567949 +0100
-+++ b/include/linux/if_bridge.h	2014-12-28 06:08:34.736569384 +0100
+--- include/libiptc/ipt_kernel_headers.h	2015-09-01 01:31:15.000000000 +0200
++++ include/libiptc/ipt_kernel_headers.h	2015-09-14 16:27:41.185174892 +0200
+_at_@ -15,12 +15,10 @@
+ #else /* libc5 */
+ #include <sys/socket.h>
+ #include <linux/ip.h>
+-#include <linux/in.h>
+ #include <linux/if.h>
+ #include <linux/icmp.h>
+ #include <linux/tcp.h>
+ #include <linux/udp.h>
+ #include <linux/types.h>
+-#include <linux/in6.h>
+ #endif
+ #endif
+--- include/linux/if_bridge.h	2015-09-01 01:31:15.000000000 +0200
++++ include/linux/if_bridge.h	2015-09-14 16:23:24.472434012 +0200
 _at_@ -15,7 +15,6 @@
  
  #include <linux/types.h>
_at_@ -10,3 +25,34 @@ Don't redefine in6_addr due to including linux/in6.h; use netinet/in.h instead.
  
  #define SYSFS_BRIDGE_ATTR	"bridge"
  #define SYSFS_BRIDGE_FDB	"brforward"
+--- include/linux/netfilter.h	2015-09-01 01:31:15.000000000 +0200
++++ include/linux/netfilter.h	2015-09-14 16:27:34.928205553 +0200
+_at_@ -4,8 +4,6 @@
+ #include <linux/types.h>
+ 
+ #include <linux/sysctl.h>
+-#include <linux/in.h>
+-#include <linux/in6.h>
+ 
+ /* Responses from hook functions. */
+ #define NF_DROP 0
+--- include/linux/xfrm.h	2015-09-01 01:31:15.000000000 +0200
++++ include/linux/xfrm.h	2015-09-14 16:23:24.473434008 +0200
+_at_@ -1,7 +1,6 @@
+ #ifndef _LINUX_XFRM_H
+ #define _LINUX_XFRM_H
+ 
+-#include <linux/in6.h>
+ #include <linux/types.h>
+ 
+ /* All of the structures in this file may not change size as they are
+--- include/utils.h	2015-09-01 01:31:15.000000000 +0200
++++ include/utils.h	2015-09-14 16:23:24.472434012 +0200
+_at_@ -1,6 +1,7 @@
+ #ifndef __UTILS_H__
+ #define __UTILS_H__ 1
+ 
++#include <sys/param.h>	/* MAXPATHLEN */
+ #include <sys/types.h>
+ #include <asm/types.h>
+ #include <resolv.h>
-- 
2.6.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Oct 03 2015 - 03:04:29 GMT